//importing the local data and states data
import React from 'react';
import ReactDOM from 'react-dom';
import { loadData } from './loadData';
import { CountryMap } from './countryMap';

//set the height and width 
const width = 1000;
const height = 600;

//call the data and load
const App = () => {
  const data = loadData();

  if (!data) {
    return <pre>Loading data...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <CountryMap data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
