//importing topojson 
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

//give the dataset path
const url = 'https://cdn.jsdelivr.net/npm/us-atlas@3/states-10m.json';

//export the loaded data
export const loadData = () => {
  const [data, setData] = useState(null);

   useEffect(() => {
     json(url).then(topology => {
       const { states, nation } = topology.objects;
       setData({
         land: feature(topology, nation),
         interiors: mesh(topology, states, (a, b) => a !== b)
       });
     });
   }, []);

  return data;
};
